# Class HeadMethodWebRequest

java.lang.Object
com.meterware.httpunit.WebRequest
com.meterware.httpunit.HeaderOnlyWebRequest
com.meterware.httpunit.HeadMethodWebRequest

public class HeadMethodWebRequest extends HeaderOnlyWebRequest
A web request using the HEAD method. This request is used to obtain header information for a resource without necessarily waiting for the data to be computed or transmitted.

Author:
  Russell Gold

## Field Summary

### Fields inherited from class WebRequest

`method`

## Constructor Summary

Constructors
Constructor
Description
`HeadMethodWebRequest(String urlString)`
Creates a new head request from a complete URL string.
`HeadMethodWebRequest(URL urlBase, String urlString)`
Creates a new head request using a relative URL and base.

## Method Summary

### Methods inherited from class HeaderOnlyWebRequest

`getQueryString, setMethod`

### Methods inherited from class WebRequest

`completeRequest, getCharacterSet, getContentType, getHeaders, getMethod, getParameter, getParameterHolder, getParameterValues, getRequestParameterNames, getTarget, getURL, getURLBase, getURLString, isFileParameter, isMimeEncoded, maySelectFile, removeParameter, selectFile, selectFile, selectFile, setHeaderField, setImageButtonClickPosition, setParameter, setParameter, setParameter, toString, writeMessageBody`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeadMethodWebRequest

public HeadMethodWebRequest(String urlString)
Creates a new head request from a complete URL string.

Parameters:
  `urlString` - the URL desired, including the protocol.

### HeadMethodWebRequest

public HeadMethodWebRequest(URL urlBase, String urlString)
Creates a new head request using a relative URL and base.

Parameters:
  `urlBase` - the base URL.
  `urlString` - the relative URL